File libnotify.spec of Package libnotify

#
# spec file for package libnotify (Version 0.6.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libnotify
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
# libnotify works with both gtk+ 2 and gtk+ 3, and we need both at build time
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
Version:        0.6.0
Release:        1
Url:            http://www.galago-project.org/
Group:          System/Libraries
License:        GPLv2+ ; LGPLv2.1+
Summary:        Notifications Library
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
D-BUS notifications library.

%package -n libnotify1
License:        GPLv2+ ; LGPLv2.1+
Group:          System/Libraries
Summary:        Notifications Library
Recommends:     notification-daemon

%description -n libnotify1
D-BUS notifications library.

%package tools
License:        LGPLv2.1+
Group:          System/Libraries
Summary:        Notifications Library -- Tools
Provides:       libnotify = %{version}
Obsoletes:      libnotify < %{version}

%description tools
D-BUS notifications library.

This package contains the notify-send tool to create notifications.

%package devel
License:        LGPLv2.1+
Group:          System/Libraries
Summary:        Notifications Library
Requires:       libnotify1 = %{version}
Provides:       libnotify-doc = %{version}
Obsoletes:      libnotify-doc < %{version}

%description devel
D-BUS notifications library.

%prep
%setup -q

%build
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libnotify1 -p /sbin/ldconfig

%postun -n libnotify1 -p /sbin/ldconfig

%files -n libnotify1
%defattr (-, root, root)
# README is empty
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.*

%files tools
%defattr (-, root, root)
%{_bindir}/notify-send

%files devel
%defattr (-, root, root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libnotify

%changelog